Cyberduck Mountain Duck CLI

#7765 closed defect (fixed)

Incomplete download

Reported by: madwort Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: sftp Version: 4.4.3
Severity: major Keywords: dataloss bug
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description (last modified by dkocher)

Using Cyberduck to open files on remote server for editing in TextMate2. Have been working for several hours, loading files, saving them, closing them, opening other files, etc. One file in particular I have re-opened a couple of times, this time it has downloaded an incomplete copy. SSH'ing into the remote server and cat'ing the file shows the file still complete on the remote server. Re-downloading the file (including downloading to desktop, instead of editor) it consistently transfers an incomplete copy. Unfortunately the log window wasn't enabled when I first experienced this, but enabling the log window and re-downloading to display a fresh incomplete copy gives this log:

SSH_FXP_OPEN
SSH_FXP_HANDLE
SSH_FXP_READ
SSH_FXP_DATA
SSH_FXP_CLOSE
SSH_FXP_STATUS

Disconnecting, reconnecting to the server then downloading the file again gives a complete copy with the following log:

SSH_FXP_INIT
SSH_FXP_VERSION
posix-rename@openssh.com
statvfs@openssh.com
fstatvfs@openssh.com
SSH_FXP_OPENDIR
SSH_FXP_HANDLE
SSH_FXP_READDIR
SSH_FXP_NAME
<-- directory list -->
SSH_FXP_READDIR
SSH_FXP_STATUS
SSH_FXP_CLOSE
SSH_FXP_STATUS
SSH_FXP_OPENDIR
SSH_FXP_HANDLE
SSH_FXP_READDIR
SSH_FXP_NAME
<-- directory list -->
SSH_FXP_READDIR
SSH_FXP_STATUS
SSH_FXP_CLOSE
SSH_FXP_STATUS
SSH_FXP_OPENDIR
SSH_FXP_HANDLE
SSH_FXP_READDIR
SSH_FXP_NAME
<-- directory list -->
SSH_FXP_READDIR
SSH_FXP_STATUS
SSH_FXP_CLOSE
SSH_FXP_STATUS
SSH_FXP_OPENDIR
SSH_FXP_HANDLE
SSH_FXP_READDIR
SSH_FXP_NAME
<-- directory list -->
SSH_FXP_READDIR
SSH_FXP_STATUS
SSH_FXP_CLOSE
SSH_FXP_STATUS
SSH_FXP_OPENDIR
SSH_FXP_HANDLE
SSH_FXP_READDIR
SSH_FXP_NAME
<-- directory list -->
SSH_FXP_READDIR
SSH_FXP_STATUS
SSH_FXP_CLOSE
SSH_FXP_STATUS
SSH_FXP_OPENDIR
SSH_FXP_HANDLE
SSH_FXP_READDIR
SSH_FXP_NAME
<-- directory list -->
SSH_FXP_READDIR
SSH_FXP_STATUS
SSH_FXP_CLOSE
SSH_FXP_STATUS
SSH_FXP_OPENDIR
SSH_FXP_HANDLE
SSH_FXP_READDIR
SSH_FXP_NAME
<-- directory list -->
SSH_FXP_READDIR
SSH_FXP_STATUS
SSH_FXP_CLOSE
SSH_FXP_STATUS
SSH_FXP_OPEN
SSH_FXP_HANDLE
SSH_FXP_READ
SSH_FXP_DATA
SSH_FXP_CLOSE
SSH_FXP_STATUS

Cyberduck Version 4.4.3 (14140) OS X 10.8

Change History (6)

comment:1 Changed on Jan 29, 2014 at 5:29:48 PM by madwort

Nb. I will try and capture a log of when this happens to a file for the first time in a session.

comment:2 Changed on Jan 30, 2014 at 8:08:16 AM by dkocher

  • Description modified (diff)

comment:3 Changed on Jan 30, 2014 at 11:29:14 AM by dkocher

  • Summary changed from Incomplete download of file via SFTP to Incomplete download

comment:4 Changed on Mar 5, 2014 at 3:34:53 PM by dkocher

  • Milestone set to 4.4.4
  • Status changed from new to assigned

comment:5 Changed on Mar 19, 2014 at 3:40:10 PM by dkocher

Can you reproduce this issue with the latest snapshot build available.

comment:6 Changed on Mar 19, 2014 at 3:41:16 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

This should be fixed with r14190.

Note: See TracTickets for help on using tickets.